com.trendmicro.ds.appcontrol.rest.object.drift

## Class ReviewApplicationDriftRequest

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ReviewApplicationDriftRequest

-     public class ReviewApplicationDriftRequest
      extends java.lang.Object

  Request object for the ReviewApplicationDrift API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReviewApplicationDriftRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction()` Get the action to perform for this drift item.
    `ScopeWithHostGroup` | `getScope()` Get the search scope.
    `void` | `setAction(Action action)` Set the action to perform for this drift item.
    `void` | `setScope(ScopeWithHostGroup scope)` Set the search scope.
    `ReviewApplicationDriftRequest` | `withAction(Action action)` Set the action to perform for this drift item.
    `ReviewApplicationDriftRequest` | `withScope(ScopeWithHostGroup scope)` Set the search scope.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReviewApplicationDriftRequest

          public ReviewApplicationDriftRequest()

  - ### Method Detail

    - #### getScope

          public ScopeWithHostGroup getScope()

      Get the search scope.
      Returns:
        the search scope.

    - #### setScope

          public void setScope(ScopeWithHostGroup scope)

      Set the search scope.
      Parameters:
        `scope` - the search scope.

    - #### withScope

          public ReviewApplicationDriftRequest withScope(ScopeWithHostGroup scope)

      Set the search scope.
      Parameters:
        `scope` - the search scope.
      Returns:
        the updated ReviewApplicationDriftRequest object.

    - #### getAction

          public Action getAction()

      Get the action to perform for this drift item.
      Returns:
        the action to perform for this drift item.

    - #### setAction

          public void setAction(Action action)

      Set the action to perform for this drift item.
      Parameters:
        `action` - the action to perform for this drift item.

    - #### withAction

          public ReviewApplicationDriftRequest withAction(Action action)

      Set the action to perform for this drift item.
      Parameters:
        `action` - the action to perform for this drift item.
      Returns:
        the updated `ReviewApplicationDriftRequest` object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.